Check Feature Flag
GET /api/v1/features/{flag}
GET
/api/v1/features/{flag}
Check if a specific feature flag is enabled for the current user
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” flag
required
Feature flag key
string
Responses
Section titled “ Responses ”Feature flag status
object
success
required
boolean
data
required
object
key
required
Feature flag key
string
enabled
required
Whether the feature is enabled for this user
boolean
Example
true reason
required
Reason for the flag value
string
Example
targeting variant
Variant value (for multivariate flags)
string
meta
required
object
timestamp
required
Timestamp in ISO 8601 format
string format: date-time
Example
2024-01-15T10:30:00ZUnauthorized
object
success
required
Always false for error responses
boolean
error
required
Error type
string
Example
Validation error code
Machine-readable error code
string
Example
VALIDATION_ERROR details
Detailed validation errors
Array<object>
object
path
required
Path to the invalid field
string
Example
currentAge message
required
Error message
string
Example
Must be between 18 and 100Feature flag not found
object
success
required
Always false for error responses
boolean
error
required
Error type
string
Example
Validation error code
Machine-readable error code
string
Example
VALIDATION_ERROR details
Detailed validation errors
Array<object>
object
path
required
Path to the invalid field
string
Example
currentAge message
required
Error message
string
Example
Must be between 18 and 100